BearSSL

Data Fields
br_x509_trust_anchor Struct Reference

Trust anchor structure. More...

`#include <bearssl_x509.h>`

## Data Fields
br_x500_name | dn
| Encoded DN (X.500 name). More...
unsigned | flags
| Anchor flags (e.g. `BR_X509_TA_CA`). More...
br_x509_pkey | pkey
| Anchor public key. More...

## Detailed Description

Trust anchor structure.

## Field Documentation

## ◆ dn

br_x500_name br_x509_trust_anchor::dn

Encoded DN (X.500 name).

## ◆ flags

unsigned br_x509_trust_anchor::flags

Anchor flags (e.g. `BR_X509_TA_CA`).

## ◆ pkey

br_x509_pkey br_x509_trust_anchor::pkey

Anchor public key.

The documentation for this struct was generated from the following file:

- bearssl_x509.h